> ## Documentation Index
> Fetch the complete documentation index at: https://flowglad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage Balances



## OpenAPI

````yaml https://app.flowglad.com/api/openapi get /api/v1/customers/{externalId}/usage-balances
openapi: 3.1.0
info:
  title: Flowglad API
  version: 0.0.1
servers:
  - url: https://app.flowglad.com
security: []
externalDocs:
  url: https://docs.flowglad.com
paths:
  /api/v1/customers/{externalId}/usage-balances:
    get:
      tags:
        - Customer
        - Usage Meters
      summary: Get Usage Balances
      operationId: customers-getUsageBalances
      parameters:
        - in: path
          name: externalId
          schema:
            description: The external ID of the customer
            type: string
          required: true
          description: The external ID of the customer
        - in: query
          name: subscriptionId
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  usageMeterBalances:
                    type: array
                    items:
                      description: >-
                        A usage meter and the available balance for that meter,
                        scoped to a given subscription.
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          description: Epoch milliseconds.
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        updatedAt:
                          description: Epoch milliseconds.
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        livemode:
                          type: boolean
                        organizationId:
                          type: string
                        name:
                          description: The name of the usage meter
                          type: string
                          minLength: 1
                          maxLength: 255
                        pricingModelId:
                          type: string
                        slug:
                          description: The slug of the usage meter
                          type: string
                          minLength: 1
                          maxLength: 255
                        aggregationType:
                          description: >-
                            The type of aggregation to perform on the usage
                            meter. Defaults to "sum", which aggregates all the
                            usage event amounts for the billing period.
                            "count_distinct_properties" counts the number of
                            distinct properties in the billing period for a
                            given meter.
                          type: string
                          enum:
                            - sum
                            - count_distinct_properties
                        availableBalance:
                          type: number
                        subscriptionId:
                          type: string
                      required:
                        - id
                        - createdAt
                        - updatedAt
                        - livemode
                        - organizationId
                        - name
                        - pricingModelId
                        - slug
                        - aggregationType
                        - availableBalance
                        - subscriptionId
                      additionalProperties: false
                required:
                  - usageMeterBalances
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    error.BAD_REQUEST:
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Invalid input data
          type: string
        code:
          description: The error code
          example: BAD_REQUEST
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.UNAUTHORIZED:
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Authorization not provided
          type: string
        code:
          description: The error code
          example: UNAUTHORIZED
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.FORBIDDEN:
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Insufficient access
          type: string
        code:
          description: The error code
          example: FORBIDDEN
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.NOT_FOUND:
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Not found
          type: string
        code:
          description: The error code
          example: NOT_FOUND
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.INTERNAL_SERVER_ERROR:
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Internal server error
          type: string
        code:
          description: The error code
          example: INTERNAL_SERVER_ERROR
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````